Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.quartz.jobs.ee.ejb
Class EJB3InvokerJob

    java.lang.Object
      org.quartz.jobs.ee.ejb.EJBInvokerJob
          org.quartz.jobs.ee.ejb.EJB3InvokerJob

All Implemented Interfaces:
  Job

    public class EJB3InvokerJob

extends EJBInvokerJob

A `Job` that invokes a method on an EJB3.

Expects the properties corresponding to the following keys to be in the `JobDataMap` when it executes:

- `EJB_JNDI_NAME_KEY`- the JNDI name (location) of the EJB's home interface.
- `EJB_METHOD_KEY`- the name of the method to invoke on the EJB.
- `EJB_ARGS_KEY`- an Object[] of the args to pass to the method (optional, if left out, there are no arguments).
- `EJB_ARG_TYPES_KEY`- an Class[] of the types of the args to pass to the method (optional, if left out, the types will be derived by calling getClass() on each of the arguments).

The following keys can also be used at need:

- `INITIAL_CONTEXT_FACTORY` - the context factory used to build the context.
- `PROVIDER_URL` - the name of the environment property for specifying configuration information for the service provider to use.

The result of the EJB method invocation will be available to `Job/TriggerListener`s via ``JobExecutionContext.getResult()``.

Author:
  hhuynh
See Also:
  `org.quartz.jobs.ee.ejb.EJBInvokerJob}`

Field Summary

Fields inherited from class org.quartz.jobs.ee.ejb.EJBInvokerJob
`CREDENTIALS, EJB_ARG_TYPES_KEY, EJB_ARGS_KEY, EJB_JNDI_NAME_KEY, EJB_METHOD_KEY, INITIAL_CONTEXT_FACTORY, PRINCIPAL, PROVIDER_URL`

Constructor Summary
`EJB3InvokerJob()`

Method Summary
`void` | `execute(JobExecutionContext context)` Called by the ``Scheduler`` when a ``Trigger`` fires that is associated with the `Job`.

Methods inherited from class org.quartz.jobs.ee.ejb.EJBInvokerJob
`getInitialContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EJB3InvokerJob

    public EJB3InvokerJob()

Method Detail

### execute

    public void execute(JobExecutionContext context)
                 throws JobExecutionException

  Description copied from interface: `Job`

  Called by the ``Scheduler`` when a ``Trigger`` fires that is associated with the `Job`.

  The implementation may wish to set a `result` object on the `JobExecutionContext` before this method exits. The result itself is meaningless to Quartz, but may be informative to ``JobListener`s` or ``TriggerListener`s` that are watching the job's execution.

  Specified by:
    `execute` in interface `Job`
  Overrides:
    `execute` in class `EJBInvokerJob`
  Throws:
    `JobExecutionException` - if there is an exception while executing the job.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001-2016, Terracotta, Inc.